# Presmoothed Landmark Aalen-Johansen Estimator of Transition Probabilities for complex multi-state models.

  ```presmoothedTP``` is an R package which extends the landmark Aalen-Johansen estimator by
  incorporating presmoothing techniques, offering a robust alternative for
  estimating transition probabilities in non-Markovian multi-state models
  with multiple states and potential reversible transitions.

```Installation```If you want to use the release version of the presmoothedTP package, you can install the package from CRAN as follows:
install.packages(pkgs="presmoothedTP");

```Authors``` Gustavo Soutinho and Luís Meira-Machado lmachado@math.uminho.pt 
Maintainer: Gustavo Soutinho gustavosoutinho@sapo.pt

```Funding``` This work was suported by the UIDB/05105/2020 Program Contract, funded by funds
through the FCT I.P.

```References``` 
Aalen, O., Johansen, S. An empirical transition matrix for non homogeneous markov and
chains based on censored observations. Scandinavian Journal of Statistics, 5:141–150;
1978.
Andersen, P. K., Borgan, Ø., Gill, R. D., Keiding,N. Statistical Models Based on Counting
Processes. Springer-Verlag, New York; 1993.
Byar, D. P. The Veterans Administration study of chemoprophylaxis for recurrent stage
I bladder tumors: comparisons of placebo, pyridoxine and topical thiotepa. In Bladder
Tumors and Other Topics in Urological Oncology, Edited by M. Pavone-Macaluso, P. H.
Smith and F. Edsmyr, Plenum, 363–370, Springer, New York; 1980.

Datta, S., Satten, G. Validity of the aalen-johansen estimators of stage occupation probabilities
and nelson aalen integrated transition hazards for non-markov models. Statistics
& Probability Letters, 55: 403–411; 2001.
de U˜na- ´Alvarez, J., Meira-Machado, L. Nonparametric estimation of transition probabilities
in the non-markov illness-death model: A comparative study. Biometrics,
71(2):364–375; 2015.
Nießl, A., Allignol, A., Beyersmann, J., Mueller, C. Statistical inference for state occupation
and transition probabilities in non-Markov multi-state models subject to both
random left-truncation and right-censoring, Econometrics and Statistics, 25; 2023.
Putter, H., Fiocco, M., Geskus, R. B. Tutorial in biostatistics: Competing risks and multistate
models. Statistics in Medicine, 26(11):2389–2430; 2007.
Putter, H., Spitoni, C. Non-parametric estimation of transition probabilities in nonmarkov
multistate models: The landmark aalen-johansen estimator. Statistical Methods
in Medical Research, 27:2081–2092; 2018.
Van Houwelingen, H. C. Dynamic prediction by landmarking in event history analysis.
Scandinavian Journal of Statistics, 34(1):70–85; 2007.
Soutinho, G., Meira-Machado, L., Oliveira, P. A comparison of presmoothing methods in
the estimation of transition probabilities. Communications in Statistics - Simulation and
Computation, 51(9): 5202–5221; 2020.
Soutinho, G., Sestelo, M., Meira-Machado, L. survidm: An R package for Inference and
Prediction in an Illness-Death Model. The R Journal, 13(2):70–89; 2021.
R Core Team. R: A Language and Environment for Statistical Computing. R Foundation
for Statistical Computing, Vienna, Austria; 2021.